Bug 1201887 (CVE-2011-5321) - CVE-2011-5321 Kernel: tty: driver reference leakage in tty_open
Summary: CVE-2011-5321 Kernel: tty: driver reference leakage in tty_open
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-5321
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1201893 1201894
Blocks: 1067898
TreeView+ depends on / blocked
 
Reported: 2015-03-13 17:50 UTC by Prasad J Pandit
Modified: 2021-02-17 05:32 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way the Linux kernel's virtual console implementation handled reference counting when accessing pseudo-terminal device files (/dev/pts/*). A local, unprivileged attacker could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:39:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1221 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-07-14 19:12:10 UTC

Description Prasad J Pandit 2015-03-13 17:50:28 UTC
Linux kernel built with the virtual console support(CONFIG_VT) is vulnerable
to a NULL pointer dereference issue. It could occur while accessing pseudo
terminal device(/dev/pts/*) files.

An unprivileged user could use this flaw to crash the system kernel resulting
in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/c290f8358acaeffd8e0c551ddcc24d1206143376

Comment 1 Prasad J Pandit 2015-03-13 18:02:45 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 7 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat
Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6
may address this issue.

Comment 4 errata-xmlrpc 2015-07-14 15:12:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1221 https://rhn.redhat.com/errata/RHSA-2015-1221.html


Note You need to log in before you can comment on or make changes to this bug.